Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class Ip2XMLConfig

    java.lang.Object
      ix.util.xml.XMLConfig
          ix.ip2.Ip2XMLConfig

    public class Ip2XMLConfig

extends XMLConfig

XML tool configuration for I-P2 and similar systems.

Nested Class Summary
`static class` | `Ip2XMLConfig.ChecklistFiles` Checklist file syntax.
`static class` | `Ip2XMLConfig.HtmlFiles` HTML file syntax for plan output.
`static class` | `Ip2XMLConfig.InitFiles` ".init" (world state) file syntax.
`static class` | `Ip2XMLConfig.LPADFiles` File syntax for plans represented as domains.
`static class` | `Ip2XMLConfig.LTFFiles` LTF file syntax.
`static class` | `Ip2XMLConfig.OwlSFiles` OWL-S file syntax.
`static class` | `Ip2XMLConfig.TextFiles` Text file syntax for plan output.
`static class` | `Ip2XMLConfig.TFFiles` TF file syntax.

Field Summary
`protected java.lang.Class[]` | `atomicClasses`
`protected java.lang.Class[]` | `basicIXClasses`
`protected java.lang.Class[]` | `ixDomainClasses`
`protected java.lang.Class[]` | `ixIScriptClasses`
`protected java.lang.Class[]` | `ixPlanClasses`

Fields inherited from class ix.util.xml.XMLConfig
`defaultClassFinder, defaultClassSyntax, defaultFileSyntaxManager, defaultXMLTranslator, homeNameSpaceURI, SAXDriverClass`

Constructor Summary
`Ip2XMLConfig()`

Method Summary
`protected void` | `addInitialImports()` Adds an initial set of imports to the default ClassFinder.
`protected java.util.List` | `ixClasses(ClassSyntax classSyntax)`
`ClassFinder` | `makeClassFinder()`
`protected void` | `makeDefaultInstances()`
`FileSyntaxManager` | `makeFileSyntaxManager()`
`javax.swing.JMenu` | `makeTreeEditorLookAtMenu(XMLTreeEditFrame frame)`
`XMLTranslator` | `makeXMLTranslator(ClassSyntax syntax)`
`protected java.util.List` | `planClasses(ClassSyntax classSyntax, java.lang.Class planClass)`
`java.lang.Class[]` | `treeEditorTemplateClassRoots()`
`java.util.List` | `xmlSyntaxClasses(ClassSyntax classSyntax, java.lang.Class rootClass)`

Methods inherited from class ix.util.xml.XMLConfig
`addImport, defaultClassFinder, defaultClassSyntax, defaultFileSyntaxManager, defaultXMLTranslator, getHomeNamespace, makeClassSyntax, makePrettyXMLOutputter, makeSAXBuilder, makeXMLTranslator, SAXDriverClass, setHomeNamespaceURI, setSAXDriverClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ixDomainClasses

    protected final java.lang.Class[] ixDomainClasses

### ixPlanClasses

    protected final java.lang.Class[] ixPlanClasses

### basicIXClasses

    protected final java.lang.Class[] basicIXClasses

### atomicClasses

    protected final java.lang.Class[] atomicClasses

### ixIScriptClasses

    protected final java.lang.Class[] ixIScriptClasses

Constructor Detail

### Ip2XMLConfig

    public Ip2XMLConfig()

Method Detail

### makeClassFinder

    public ClassFinder makeClassFinder()

  Overrides:
    `makeClassFinder` in class `XMLConfig`

### makeXMLTranslator

    public XMLTranslator makeXMLTranslator(ClassSyntax syntax)

  Overrides:
    `makeXMLTranslator` in class `XMLConfig`

### makeFileSyntaxManager

    public FileSyntaxManager makeFileSyntaxManager()

  Overrides:
    `makeFileSyntaxManager` in class `XMLConfig`

### makeDefaultInstances

    protected void makeDefaultInstances()

  Overrides:
    `makeDefaultInstances` in class `XMLConfig`

### addInitialImports

    protected void addInitialImports()

  Adds an initial set of imports to the default ClassFinder.

### treeEditorTemplateClassRoots

    public java.lang.Class[] treeEditorTemplateClassRoots()

  Overrides:
    `treeEditorTemplateClassRoots` in class `XMLConfig`

### makeTreeEditorLookAtMenu

    public javax.swing.JMenu makeTreeEditorLookAtMenu(XMLTreeEditFrame frame)

  Overrides:
    `makeTreeEditorLookAtMenu` in class `XMLConfig`

### xmlSyntaxClasses

    public java.util.List xmlSyntaxClasses(ClassSyntax classSyntax,
                                           java.lang.Class rootClass)

  Overrides:
    `xmlSyntaxClasses` in class `XMLConfig`

### planClasses

    protected java.util.List planClasses(ClassSyntax classSyntax,
                                         java.lang.Class planClass)

### ixClasses

    protected java.util.List ixClasses(ClassSyntax classSyntax)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD